package test.org.seasar.extension.dbcp.impl;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class DbcpImplAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(DbcpImplAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.extension.dbcp.impl");
		//$JUnit-BEGIN$
		suite.addTest(ConnectionPoolImplTest.suite());
		suite.addTest(ConnectionWrapperImplTest.suite());
		suite.addTest(DataSourceImplTest.suite());
		suite.addTest(DBXAResourceImplTest.suite());
		suite.addTest(XAConnectionImplTest.suite());
		suite.addTest(XADataSourceImplTest.suite());
		//$JUnit-END$
		return suite;
	}
}
